<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="layout/layout :: head"></head>
<body>
	<header th:replace="layout/layout :: header"></header>

	<div class="container py-4">

		<form th:action="@{/factura/form}" th:object="${factura}"
			method="post">
			<div class="card bg-dark text-white">
				<div class="card-header" th:text="#{text.factura.ver.datos.factura}">Datos de la factura</div>
				<div class="card-body">
					<div class="list-group bg-white text-dark m-2">
						<div class="list-group-item">
							<div class="d-flex flex-row">
								<h6 class="p-2" th:text="#{text.factura.form.cliente}">Cliente</h6>
								<div class="p-2"
									th:text="${factura.cliente.nombre}  + ' ' + ${factura.cliente.apellido}"></div>
							</div>
						</div>
					</div>

					<div class="form-group row">
						<label for="inputDate" class="col-sm-2 col-form-label" th:text="#{text.cliente.factura.fecha}">Fecha</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputDate"
								th:field="*{createAt}" th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('createAt')}" th:errors="*{createAt}"
								class="text-danger">Escribe una fecha válida. Por
								ejemplo: 2019/12/25</small>
						</div>
					</div>
					<div class="form-group row">
						<!--<input readonly type="hidden" class="form-control" id="inputID"
					th:field="*{id}" /> Sin sessionatribute-->
						<label for="inputDescrip" class="col-sm-2 col-form-label" th:text="#{text.cliente.factura.descripcion}">Descripción</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputDescrip"
								placeholder="Descripción de la factura"
								th:field="*{descripcion}" th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('descripcion')}"
								th:errors="*{descripcion}" class="text-danger"></small>
						</div>
					</div>
					<div class="form-group row">
						<label for="inputObs" class="col-sm-2 col-form-label" th:text="#{text.factura.form.observacion}">Observaciones</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputObs"
								placeholder="Escribe las observaciones"
								th:field="*{observaciones}" th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('observaciones')}"
								th:errors="*{observaciones}" class="text-danger"></small>
						</div>
					</div>
				</div>
			</div>

			<div class="card bg-dark text-white">
				<div class="card-header" th:text="#{text.factura.form.item.title}">Agregar productos</div>
				<div class="card-body">
					<div class="form-group">
						<label for="formProduct" th:text="#{text.factura.form.item.nombre}">Producto</label> <input
							class="form-control" id="formProduct" type="text" />
					</div>

					<table th:replace="factura/js/plantilla-items :: itemsFactura"></table>

					<table id="cargarItemProductos" class="table table-striped bg-light"
						th:fragment="itemFactura">
						<thead class="thead-light">
							<tr>
								<th th:text="#{text.factura.form.item.nombre}">Producto</th>
								<th class="text-center" th:text="#{text.factura.form.item.precio}">Precio Unitario</th>
								<th class="text-center" th:text="#{text.factura.form.item.cantidad}">Cantidad</th>
								<th class="text-right" th:text="#{text.factura.form.item.total}">Total</th>
								<th class="text-right" th:text="#{text.cliente.listar.acciones}">Acciones</th>
							</tr>
						</thead>
						<tbody>
						</tbody>
					</table>
					<h5><span th:text="#{text.factura.form.total}">Total</span>: <span id="total">0</span></h5>
				
					<button type="submit" class="btn btn-primary" th:text="#{text.factura.form.titulo}">Enviar</button>
				</div>
			</div>
		</form>

	</div>
	<footer th:replace="layout/layout :: footer"></footer>

	<script type="text/javascript"
		th:replace="factura/js/autocomplete-productos :: productosjs"></script>
</body>
</html>
